// header file for the PVMMV CI predcitor

#ifndef CIPVMMV_H
#define CIPVMMV_H

#include "cibase.H"

class Pose;

// CI filter for PVMMV model
class CIPVMMV : public CIKalmanBase, public CIExtendedKalmanBase
{
 public: 
   CIPVMMV();
   virtual ~CIPVMMV();

   void initialize(double specd, double dt, double pn, double qn);
   Pose * filter(Pose *userpos, double pinterval);

 protected:
  int  _ctr;
};

#endif
