
ifndef OBJEXT
OBJEXT := o
endif

ifndef SRCDIR
SRCDIR := .
endif


ifdef OBJDIR

$(OBJDIR)/%.$(OBJEXT): $(SRCDIR)/%.C
	-@mkdir -p $(dir $@)
	$(CC) $(CFLAGS) -o $@ -c $<

$(OBJDIR)/%.dep: $(SRCDIR)/%.C
	-@mkdir -p $(dir $@)
	$(MAKEDEPEND) $(IFLAGS) $< | $(DEPENDFILTER) $@ > $@

else

%.o: %.C
	$(CC) $(CFLAGS) -o $@ -c $<

%.depend: %.C
	$(MAKEDEPEND) $(IFLAGS) $< | $(DEPENDFILTER) $@ > $@

endif


ifdef OBJDIR

$(OBJDIR)/%.$(OBJEXT): $(SRCDIR)/%.cc
	-@mkdir -p $(dir $@)
	$(CC) $(CFLAGS) -o $@ -c $<

$(OBJDIR)/%.dep: $(SRCDIR)/%.cc
	-@mkdir -p $(dir $@)
	$(MAKEDEPEND) $(IFLAGS) $< | $(DEPENDFILTER) $@ > $@

else

%.o: %.cc
	$(CC) $(CFLAGS) -o $@ -c $<

%.depend: %.cc
	$(MAKEDEPEND) $(IFLAGS) $< | $(DEPENDFILTER) $@ > $@

endif


ifdef OBJDIR

$(OBJDIR)/%.$(OBJEXT): $(SRCDIR)/%.cxx
	-@mkdir -p $(dir $@)
	$(CC) $(CFLAGS) -o $@ -c $<

$(OBJDIR)/%.dep: $(SRCDIR)/%.cxx
	-@mkdir -p $(dir $@)
	$(MAKEDEPEND) $(IFLAGS) $< | $(DEPENDFILTER) $@ > $@

else

%.o: %.cxx
	$(CC) $(CFLAGS) -o $@ -c $<

%.depend: %.cxx
	$(MAKEDEPEND) $(IFLAGS) $< | $(DEPENDFILTER) $@ > $@

endif


ifdef OBJDIR

$(OBJDIR)/%.$(OBJEXT): $(SRCDIR)/%.cpp
	-@mkdir -p $(dir $@)
	$(CC) $(CFLAGS) -o $@ -c $<

$(OBJDIR)/%.dep: $(SRCDIR)/%.cpp
	-@mkdir -p $(dir $@)
	$(MAKEDEPEND) $(IFLAGS) $< | $(DEPENDFILTER) $@ > $@

else

%.o: %.cpp
	$(CC) $(CFLAGS) -o $@ -c $<

%.depend: %.cpp
	$(MAKEDEPEND) $(IFLAGS) $< | $(DEPENDFILTER) $@ > $@

endif

ifdef DEPENDS
include $(DEPENDS)
endif
