// header file for the PVSM CI predcitor

#ifndef CIPVSM_H
#define CIPVSM_H

#include "cibase.H"

class Pose;

// CI filter for PVSM model
class CIPVSM : public CIKalmanBase, public CIExtendedKalmanBase
{
 public: 
   CIPVSM();
   virtual ~CIPVSM();

   void initialize(double specd, double dt, double pn, double qn);
   Pose * filter(Pose *userpos, double pinterval);

 protected:
  int  _ctr;
};

#endif
